Won't run in Linux

Problems and solutions for installing or running FreeOrion, including discussion of bugs if needed before posting a bug report. For problems building from source, post in Compile.

Moderators: Oberlus, Oberlus

Post Reply
Message
Author
zigmo
Space Krill
Posts: 5
Joined: Tue Sep 28, 2010 11:23 pm

Won't run in Linux

#1 Post by zigmo » Tue Sep 28, 2010 11:31 pm

I'm running Ubuntu 10.04 on a Sony Vaio Laptop and Free Orion won't run.
I've downloaded the tar.gz from sourceforge, unpacked it to /usr/local/games and sucessfully run setup.sh.
Afterward, when I try to start the game, or run it with freeorion-start, I get:

Code: Select all

I am Symlink. Following into my targets basedir
CWD: /usr/local/games/freeorion/application
	libpython2.5.so.1.0 => not found
python2.5 missing. Using shipped version.
PYTHONHOME=python2.5
then a few pages of the following with pitch 16 and pitch 32 repeating in no order I can determine:

Code: Select all

Allocating 16 x 16 radeon RBO (pitch 16)
Allocating 16 x 16 radeon RBO (pitch 32)
and finally:

Code: Select all

Segmentation fault
I'm open to any suggestions as I LOVE this on my Windows machine, but can't always get to it (it's in the basement). I can post anything here that will help.

Thank you.

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12458
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: Won't run in Linux

#2 Post by Geoff the Medio » Wed Sep 29, 2010 1:26 am

zigmo wrote:

Code: Select all

Allocating 16 x 16 radeon RBO (pitch 16)
Allocating 16 x 16 radeon RBO (pitch 32)
Googling those error messages returns a number of hits for various other games and applications. This suggests to me that it's probably a driver problem. Do you have the latest version of the drivers that are available? Otherwise, I suggest browsing the google results, as it's unlikely anything in FreeOrion itself can be modified to fix this.

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Won't run in Linux

#3 Post by OndrejR » Wed Sep 29, 2010 2:37 am

Try newest fglrx driver. If it doesn't help, then you have to wait for Ubuntu 11.04 for new ATI Gallium3D r300g or r600g driver. Currently there are known problems with ATI drivers on Linux. However ATI HD series does not have any problems on Windows with FreeOrion.

zigmo
Space Krill
Posts: 5
Joined: Tue Sep 28, 2010 11:23 pm

Re: Won't run in Linux

#4 Post by zigmo » Wed Sep 29, 2010 3:08 am

Yeah - I'm loving FreeOrion in Windows.
Well, I did

Code: Select all

sudo apt-get install fglrx
a quick reboot later and I have ... less problems.

Now, I just get:

Code: Select all

I am Symlink. Following into my targets basedir
CWD: /usr/local/games/freeorion/application
	libpython2.5.so.1.0 => not found
python2.5 missing. Using shipped version.
PYTHONHOME=python2.5
Segmentation fault
What's a good next step to try?

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Won't run in Linux

#5 Post by OndrejR » Wed Sep 29, 2010 3:15 am

Please post your logs located in directory .freeorion. Fglrx driver is buggy and it is probably problem in this case.

zigmo
Space Krill
Posts: 5
Joined: Tue Sep 28, 2010 11:23 pm

Re: Won't run in Linux

#6 Post by zigmo » Wed Sep 29, 2010 3:22 am

Here you are.
Thanks - I appreciate you taking a look and helping out.
As a bonus, I get to learn stuff, too!
Attachments
ogre.log
(3.27 KiB) Downloaded 72 times
freeorion.log
(1.12 KiB) Downloaded 74 times

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Won't run in Linux

#7 Post by OndrejR » Wed Sep 29, 2010 3:32 am

Currently your system support only OpenGL 1.3 which is problem in this case. However with fglrx driver you should have OpenGL at least 2.1 or higher if you have ATI HD graphic card and in Windows you don't have problem. Your fglrx driver is fighting your other driver. In /etc/X11/xorg.conf you should replace driver radeon or radeonhd with fglrx. But better way is do it with aticonfig --initial to generate it or something like that.

zigmo
Space Krill
Posts: 5
Joined: Tue Sep 28, 2010 11:23 pm

Re: Won't run in Linux

#8 Post by zigmo » Wed Sep 29, 2010 11:54 am

My windows and Linux computers are two different machines. I wasn't sure if that was clear.
In either case, thanks for your suggestion. I tried aticonfig (by itself, with the --help and -initial flags) and got the following message:

Code: Select all

aticonfig: No supported adapters detected
Is it possible I'm not using an ATI adapter? Here's an excerpt from lspci:

Code: Select all

VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]
I thought I was using an ATI adapter. I tried to find the Radeon Mobility 7500 drivers, but they don't appear to exist anywhere.

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Won't run in Linux

#9 Post by OndrejR » Wed Sep 29, 2010 12:51 pm

Radeon 7500 does not work with the fglrx binary driver, because ATI dropped support for it long time ago. However there is open source driver r300 and r300g for your graphic card. This drivers are not yet finished and hopefully will be fully functional in Ubuntu 11.04. But you may try not yet released Ubuntu 10.10 Maverick to test it. You need Mesa 7.9 but I don't know if it is already in Ubuntu Maverick included. Although driver is r300 or r300g(in future will be r300g as primary), in xorg.conf you need to have to be name radeon which has in it all possible drivers for ATI card and it automatically choose the correct one.

User avatar
MareviQ
Space Kraken
Posts: 100
Joined: Tue Aug 09, 2005 6:47 pm
Location: Somewhere in Poland

Re: Won't run in Linux

#10 Post by MareviQ » Wed Sep 29, 2010 1:12 pm

Code: Select all

VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]
This seems to be the core of your problem, TBH - Wikipedia (the standard repository for all knowledge and wisdom, though it has many omissions and contains much that is apocryphal, or at least wildly inaccurate) says that the Radeon 7500 hardware was designed to support OpenGL only up to version 1.3.
Although driver is r300 or r300g(in future will be r300g as primary), in xorg.cong you need to have to be name radeon which has in it all possible drivers for ATI card and it automatically choose the correct one.
Ummm... R300 driver project only supports R300 and newer hardware. 7500 is RV200 (still classified as R100 family), and thus will never have hardware support for any OpenGL version higher than 1.3 (even proper R200 chips - the 8xxx Radeons don't fully support OpenGL 1.4).

TL;DR:
Abandon all hope ye who use Radeon Mobility 7500 hardware. Freeorion will run not on those, be it on Windows or Linux.
abs(imag(ME) / abs(ME)) = exp(PI) - PI - 19;

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Won't run in Linux

#11 Post by OndrejR » Wed Sep 29, 2010 1:41 pm

Sorry. My mistake. I thought that r300 driver supports from r100 to r500 chipsets, but it only supports chipsets from r300 to r500 as said above. But it is possible to have OpenGL 2.1 on graphic card which supports only OpenGL 1.3 via software emulation, but it will be too slow. But according this chipset comparision that not happened.

zigmo
Space Krill
Posts: 5
Joined: Tue Sep 28, 2010 11:23 pm

Re: Won't run in Linux

#12 Post by zigmo » Wed Sep 29, 2010 3:16 pm

Dang - I guess I'm going to have to duck down to the basement to play, which only leaves late at night after the kids have gone to sleep. Feh.
Thanks, again, for all your help. I think I even have a better idea on what OpenGL actually is, too.

Special Kudos to MareviQ for quoting HHG2G. I will endeavor not to panic.

Post Reply